Bouncy Castle Cryptography Library 1.40

## org.bouncycastle.jce.provider
Class ECUtil

    java.lang.Object
      org.bouncycastle.jce.provider.ECUtil

    public class ECUtil

extends java.lang.Object

utility class for converting jce/jca ECDSA, ECDH, and ECDHC objects into their org.bouncycastle.crypto counterparts.

Constructor Summary
`ECUtil()`

Method Summary
`static java.lang.String` `getCurveName(DERObjectIdentifier oid)`
`static X9ECParameters` `getNamedCurveByOid(DERObjectIdentifier oid)`
`static DERObjectIdentifier` `getNamedCurveOid(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECUtil

    public ECUtil()

Method Detail

### getNamedCurveOid

    public static DERObjectIdentifier getNamedCurveOid(java.lang.String name)

### getNamedCurveByOid

    public static X9ECParameters getNamedCurveByOid(DERObjectIdentifier oid)

### getCurveName

    public static java.lang.String getCurveName(DERObjectIdentifier oid)

Bouncy Castle Cryptography Library 1.40